DialBeg(__AdrTable)  // коррекция часов в табеле ЛС
                     // вызов модуля из "Начало расчета таблицы"__:
                     // LoadScriptModule("user\\Ctrl_Tab");return DialBeg(__AdrTable);
                     // таблица находится в TABLCTRL   
{
 var CTabl = CreateObject("CurPrnTbl");
 CTabl.Initial(__AdrTable);


    double h1 = 0.00;
    double h2 = 0.00;

    if (ESC==Panel_Zapros(" Замена часов в табеле  ","",
                 "  заменяемые часы == : ",h1, 15,
                 "  заменяющие часы == : ",h2, 15)
                                                  ) return ESC;


 for (int zap=0; zap<CTabl.Count_Rcr(); zap++)
  {
    int tn = atoi(CTabl.TextS("C_FIO",zap));   

    char ls1[90];
    lsname(Find_Full_TN(tn),ls1);   FreeSpaceString(ls1,3,"");    //double llss = atof(ls1);
    lsread(ls1,0);                  // инициализация ТН


    for (int i= 1; i <= 31; i++)
     {
      string s1 = "d" + to_string(i) + "_H";

      double sum1 = atof(CTabl.TextS(s1,zap)); 

      if((sum1 == h1) && (sum1 != 0) )
       {

        CTabl.STextS(s1,zap,to_string(h2)); 
       }

     }

  }
}














